#----------------------------------------------------------------------------
# Profile for Samsung TVs with AllShare DLNA.
# See PS3.conf for a description of all possible configuration options.
# http://ps3mediaserver.org/forum/viewtopic.php?f=15&t=8889
# Version: 1.4.4 (modified)
#

RendererName=Samsung AllShare
RendererIcon=samsung.png 

# ====================================================
# Reported headers:
#
# User-Agent: SEC_HHP_[HT]D5500/1.0
# User-Agent: SEC_HHP_[TV]UE32D5000/1.0
# User-Agent: SEC_HHP_ Family TV/1.0
# User-Agent: SEC_HHP_[TV]PS51D6900/1.0
# User-Agent: DLNADOC/1.50 SEC_HHP_[TV]UE32D5000/1.0
# User-Agent: DLNADOC/1.50 SEC_HHP_[TV]UN55D6050/1.0
# User-Agent: DLNADOC/1.50 SEC_HHP_ Family TV/1.0
#
# Note: the "[TV]PS51D6900" is the default type name.
# It can be edited via the TV menu into any string.
# ====================================================
UserAgentSearch=SEC_HHP

# Recent firmware (0016 and 0019) has been reported to no longer send additional headers info
# Leaving this in for backwards compatibility with older firmware
UserAgentAdditionalHeader=X-AV-Client-Info
UserAgentAdditionalHeaderSearch=(\w{3}_\w{3}_\w{2}-\w{2}\d{2}\w\d{4}/\d.\d)|(\w{3}_\w{3}_\[\w{2}\]-\w{2}\d{2}\w\d{4}/\d.\d)|(\w{3}_\w{3}_\w{2}-\w{2}\d{2}\w\d{3}/\d.\d)|(\w{3}_\w{3}_\[\w{2}\]-\w{2}\d{2}\w\d{3}/\d.\d)

Video=true
Audio=true
Image=true
SeekByTime=false
TranscodeVideo=MPEGPSAC3
TranscodeAudio=LPCM

# Samsung 2012 models do not recognize the "albumArtURI" element, use "res" instead
ThumbnailAsResource=true 

DefaultVBVBufSize=true
MuxH264ToMpegTS=true
MuxDTSToMpeg=true
WrapDTSIntoPCM=false
MuxLPCMToMpeg=true
MaxVideoBitrateMbps=25
MaxVideoWidth=0
MaxVideoHeight=0
MimeTypesChanges=audio/wav=audio/L16|video/x-matroska=video/avi|video/x-flv=video/mp4|audio/mp3=audio/L16|video/mp4=video/mpeg
TranscodeExtensions=flv,wav
StreamExtensions=mkv,mp3,mp4,avi,mov
SubtitleHttpHeader=CaptionInfo.sec
ChunkedTransfer=true